## Class EinUndAusgabe

    java.lang.Object
      EinUndAusgabe

    public class EinUndAusgabe

extends java.lang.Object

Constructor Summary
`EinUndAusgabe()` Konstruktor zur Erzeugung eines Objekts zur Ein- und Ausgabe.

Method Summary
`void` | `ausgeben(java.lang.String text)` Methode zur Ausgabe eines übergebenen Textes.
`void` | `formatiertAusgeben(java.lang.String text, java.lang.Object... objekte)` Methode zur C-formatierten Ausgabe verschiedener Variablen und Textelemente
`java.lang.Boolean` | `leseBoolean()` Methode zum Lesen eines Wahrheitswertes von der Konsole, der über die Tastatur eingegeben wird.
`java.lang.Double` | `leseDouble()` Methode zum Lesen einer Double-Zahl von der Konsole, die über die Tastatur eingegeben wird.
`java.lang.Float` | `leseFloat()` Methode zum Lesen einer Float-Zahl von der Konsole, die über die Tastatur eingegeben wird.
`java.lang.Integer` | `leseInteger()` Methode zum Lesen einer ganzen Zahl von der Konsole, die über die Tastatur eingegeben wird.
`java.lang.String` | `leseString()` Methode zum Lesen eines Textes von der Konsole, der über die Tastatur eingegeben wird.
`java.lang.Integer` | `zufall(java.lang.Integer start, java.lang.Integer ende)` Methode zur Erzeugung einer ganzahligen Zufallszahl zwischen (einschließlich) den übergebenen Grenzen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EinUndAusgabe

    public EinUndAusgabe()

  Konstruktor zur Erzeugung eines Objekts zur Ein- und Ausgabe.

Method Detail

### ausgeben

    public void ausgeben(java.lang.String text)

  Methode zur Ausgabe eines übergebenen Textes. Es wird kein Zeilenumbruch angehäbgt.

  Parameters:
    `text` - auszugebender text

### formatiertAusgeben

    public void formatiertAusgeben(java.lang.String text,
                                   java.lang.Object... objekte)

  Methode zur C-formatierten Ausgabe verschiedener Variablen und Textelemente

  Parameters:
    `text` - auszugebender Text, der Spezialzeichen wie %d als Platzhalter für auszugebene Variablen enthalten kann
    `objekte` - Objekte, die an Stelle der Platzhalter im Text ausgegeben werden sollen

### leseBoolean

    public java.lang.Boolean leseBoolean()

  Methode zum Lesen eines Wahrheitswertes von der Konsole, der über die Tastatur eingegeben wird. Die Eingabe endet mit der Return-Taste. Sollte es sich bei der Eingabe nicht um "true" handeln, wird false zurückgegeben.

  Returns:
    eingegebener Wahrheitswert

### leseDouble

    public java.lang.Double leseDouble()

  Methode zum Lesen einer Double-Zahl von der Konsole, die über die Tastatur eingegeben wird. Die Eingabe endet mit der Return-Taste. Sollte es sich bei der Eingabe um keinen gültigen Wert handeln, wird -1 zurückgegeben.

  Returns:
    eingegebene Zahl

### leseFloat

    public java.lang.Float leseFloat()

  Methode zum Lesen einer Float-Zahl von der Konsole, die über die Tastatur eingegeben wird. Die Eingabe endet mit der Return-Taste. Sollte es sich bei der Eingabe um keinen gültigen Wert handeln, wird -1 zurückgegeben.

  Returns:
    eingegebene Zahl

### leseInteger

    public java.lang.Integer leseInteger()

  Methode zum Lesen einer ganzen Zahl von der Konsole, die über die Tastatur eingegeben wird. Die Eingabe endet mit der Return-Taste. Sollte es sich bei der Eingabe um keinen gültigen Wert handeln, wird -1 zurückgegeben.

  Returns:
    eingegebene Zahl

### leseString

    public java.lang.String leseString()

  Methode zum Lesen eines Textes von der Konsole, der über die Tastatur eingegeben wird. Die Eingabe endet mit der Return-Taste und darf Leerzeichen enthalten.

  Returns:
    eingegebener Text

### zufall

    public java.lang.Integer zufall(java.lang.Integer start,
                                    java.lang.Integer ende)

  Methode zur Erzeugung einer ganzahligen Zufallszahl zwischen (einschließlich) den übergebenen Grenzen. Es wird erwartet und nicht geprüft, dass der Endwert nicht kleiner als der Startwert ist.

  Parameters:
    `start` - minimal möglicher Zufallswert
    `ende` - maximal möglicher Zufallswert
  Returns:
    zufälliger Wert zwischen start und ende (auch diese beiden Werte sind möglich